// SetPartFrameSlot('RemovalApproval, EggsRemovalApproval);

SetPartFrameSlot('ImportDisabled, func(unitSymbol, majorVersion, minorVersion)
		begin
			// One of the units used is missing.
			GetRoot().(kAppSymbol):Close();
			// Ask the system to find another version of the unit.
			return 'ThrillMeChillMeFulfillMe;
		end);


InstallScript := func(partFrame)
		begin
			// Register the application as an EETransfer client.
			call RegEETransferClient with (kAppSymbol);

			// Register the application so that the user will be able to put away the item if it
			// belongs to the following classes.
			RegAppClasses(kAppSymbol, [
						kEEFileDataDefSymbol,
					]);

			// Tell the InBox to call AutoPutAway if it has already received some new items
			AddDeferredCall(GetGlobalFn('AppInstalled),[kAppSymbol]);
		end;

RemoveScript := func(partFrame)
		begin
			UnRegAppClasses(kAppSymbol);

			call UnRegEETransferClient with (kAppSymbol);
		end;

SetPartFrameSlot('DeletionScript, func()
		begin
			if not kDebugOn then
				begin
					local prefs := GetAppPrefs(kAppSymbol, nil);
					if EntryValid(prefs) then
						EntryRemoveFromSoup(prefs);
				end;
		end);
