// Copyright 1997 Easter-eggs. All Rights Reserved.

DefConst('kEEImportExportUnitName, "EEImportExport");
DefConst('kEEImportExportUnitString, "ImportExport:Eggs");
DefConst('kEEImportExportUnitSymbol, Intern(kEEImportExportUnitString));
DefConst('kEEImportExportMajorVersion, 1);
DefConst('kEEImportExportMinorVersion, 0);
DefConst('kEEImportExportVersionString, kEEImportExportMajorVersion & $. & kEEImportExportMinorVersion);

DefConst('kEEImportExportUnitDeclaration, {
			eeExporter: 0,
			eeImporter: 1,
		});

DeclareUnit(kEEImportExportUnitSymbol, kEEImportExportMajorVersion, kEEImportExportMinorVersion, kEEImportExportUnitDeclaration);
if kAppSymbol <> kEEImportExportUnitSymbol then
	begin
		DeclareGlobalFn('ImpureUnitReference, 2);
		DefGlobalFn('ImpureUnitReference, constantFunctions.UnitReference);
		foreach slot, value in kEEImportExportUnitDeclaration do
			DefConst(slot, ImpureUnitReference(kEEImportExportUnitSymbol, slot));
	end;
