// SetPartFrameSlot('RemovalApproval, EggsRemovalApproval);

SetPartFrameSlot('ImportDisabled, func(unitSymbol, majorVersion, minorVersion)
		begin
			// One of the units used is missing.
			// Ask the system to find another version of the unit.
			return 'ThrillMeChillMeFulfillMe;
		end);

InstallScript := func(partFrame, removeFrame)
		begin
			// Register all scripts.
			local allScriptSymbols := [];
			foreach script in allScripts do
				begin
					call RegEETransferScript with (script);
					AddArraySlot(allScriptSymbols, script.symbol);
				end;
			removeFrame.allScriptSymbols := EnsureInternal(allScriptSymbols);
		end;

RemoveScript := func(removeFrame)
		begin
			// Unregister all scripts.
			if removeFrame.allScriptSymbols then
				foreach scriptSymbol in removeFrame.allScriptSymbols do
					call UnRegEETransferScript with (scriptSymbol);
		end;
